package gov.va.med.esr.common.model.ee;


import gov.va.med.fw.model.AbstractKeyedEntity;


/**
 * WI#
 * Created Sep 30, 2015
 * @author DNS   faulkj
 */
public class IRSErrorMessageDetail
    extends AbstractKeyedEntity
{
    private static final long serialVersionUID = -1370346752240850300L;
    /**
     * Creates a new error message detail object.
     */
    public IRSErrorMessageDetail()
    {
        super();
    }


    private String uniqueSubmissionId = null;
    private String errorMessageCode = null;
    private String errorMessageText = null;





	@Override
	public String toString() {
		return "IRSErrorMessageDetail [id=" + uniqueSubmissionId + ", code="
				+ errorMessageCode + ", text=" + errorMessageText +"]";
	}





	public String getUniqueSubmissionId() {
		return uniqueSubmissionId;
	}





	public void setUniqueSubmissionId(String uniqueSubmissionId) {
		this.uniqueSubmissionId = uniqueSubmissionId;
	}





	public String getErrorMessageCode() {
		return errorMessageCode;
	}





	public void setErrorMessageCode(String errorMessageCode) {
		this.errorMessageCode = errorMessageCode;
	}





	public String getErrorMessageText() {
		return errorMessageText;
	}





	public void setErrorMessageText(String errorMessageText) {
		this.errorMessageText = errorMessageText;
	}

}
